#ifndef PLAYLOG_H
#define PLAYLOG_H

#include <File.h>
#include <FilePanel.h>
#include <String.h>

#include <list>
using namespace std;

#define DEFAULT_MAX_SONGS 30

#include "pluginproto.h"

class PLLooper: public BLooper
{
	private:
		BFile fDataFile;
		list<BString> fList;
		int32 fMaxSongs;
		entry_ref fRef;
		BFilePanel* fFilePanel;

	public:
		PLLooper(SoundPlayController *);
		virtual ~PLLooper();
		virtual void MessageReceived(BMessage *mes);
		virtual bool QuitRequested();
		void LogMessage(const char* message);
		
		void SaveSettings(BMessage* msg);
		void LoadSettings(BMessage* msg);

		SoundPlayController *ctrl;
};


// Perhaps it'd be better to asynchronously write to the disk?
// Since only this looper is held up by disk operations, its not a big deal...


#endif
